Rotate WhatsApp link secret
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>",
"shareableLink": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>"
}
}
}{
"success": false,
"error": "Connect page is not enabled for this instance.",
"message": "Connect page is not enabled for this instance.",
"code": "CONNECT_PAGE_ERROR"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not Found",
"message": "Instance not found",
"code": "NOT_FOUND"
}Instâncias
Rotate WhatsApp link secret
Generate a new security secret for the link.
POST
/
v1
/
whatsapp
/
instances
/
{instanceId}
/
connect-page
/
rotate-secret
Rotate WhatsApp link secret
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/connect-page/rotate-secret"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>",
"shareableLink": {
"hostedUrl": "https://api.notifique.dev/w/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"embedUrl": "https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"publicId": "V1StGXR8_Z5jdHi6B-myT",
"secret": "AbCdEfGhIjKlMnOpQrStUvWxYz012345",
"iframeSnippet": "<iframe src=\"https://api.notifique.dev/w/embed/instance-connect/V1StGXR8_Z5jdHi6B-myT?token=AbCdEfGhIjKlMnOpQrStUvWxYz012345\" style=\"border:0;width:100%;min-height:560px\" allow=\"clipboard-read; clipboard-write\"></iframe>"
}
}
}{
"success": false,
"error": "Connect page is not enabled for this instance.",
"message": "Connect page is not enabled for this instance.",
"code": "CONNECT_PAGE_ERROR"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not Found",
"message": "Instance not found",
"code": "NOT_FOUND"
}Authorizations
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Path Parameters
Was this page helpful?
⌘I

